# Uses of Interface
org.eclipse.core.runtime.preferences.IEclipsePreferences.IPreferenceChangeListener

Packages that use IEclipsePreferences.IPreferenceChangeListener
Package
Description
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.ui.internal

## Uses of IEclipsePreferences.IPreferenceChangeListener in org.eclipse.core.runtime.preferences

Methods in org.eclipse.core.runtime.preferences with parameters of type IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Method
Description
`void`
IEclipsePreferences.`addPreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener listener)`
Register the given listener for notification of preference changes to this node.
`void`
IEclipsePreferences.`removePreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener listener)`
De-register the given listener from receiving notification of preference changes to this node.

## Uses of IEclipsePreferences.IPreferenceChangeListener in org.eclipse.e4.ui.css.swt.helpers

Classes in org.eclipse.e4.ui.css.swt.helpers that implement IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Class
Description
`static class`
`EclipsePreferencesHelper.PreferenceOverriddenByCssChangeListener`
Methods in org.eclipse.e4.ui.css.swt.helpers that return IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Method
Description
`static IEclipsePreferences.IPreferenceChangeListener`
EclipsePreferencesHelper.`getPreferenceChangeListener()`

## Uses of IEclipsePreferences.IPreferenceChangeListener in org.eclipse.e4.ui.workbench.renderers.swt

Classes in org.eclipse.e4.ui.workbench.renderers.swt that implement IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Class
Description
`class`
`CTabRendering`

## Uses of IEclipsePreferences.IPreferenceChangeListener in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Class
Description
`class`
`PlatformUIPreferenceListener`
The PlatformUIPreferenceListener is a class that listens to changes in the preference store and propogates the change for any special cases that require updating of other values within the workbench.
Methods in org.eclipse.ui.internal that return IEclipsePreferences.IPreferenceChangeListener
Modifier and Type
Method
Description
`static IEclipsePreferences.IPreferenceChangeListener`
PlatformUIPreferenceListener.`getSingleton()`